%global momorel 6
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: a utility for comparing and/or merging two or three text files or directories
Name: kdiff3
Version: 0.9.92
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kdiff3.sourceforge.net/
Group: Development/Tools
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: libidn
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libidn-devel
BuildPreReq: gettext
BuildPreReq: desktop-file-utils

%description
 KDiff3 is a program that

    * compares two or three text input files,
    * shows the differences line by line and character by character (!),
    * provides an automatic merge-facility and
    * an integrated editor for comfortable solving of merge-conflicts
    * and has an intuitive graphical user interface,
    * and it can also compare and merge directories!

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Development \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Development/kdiff3.desktop

# clean up
rm -rf %{buildroot}%{_docdir}/HTML/kdiff3

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kdiff3
%{_libdir}/kde3/libkdiff3part.la
%{_libdir}/kde3/libkdiff3part.so
%{_libdir}/kde3/libkdiff3plugin.la
%{_libdir}/kde3/libkdiff3plugin.so
%{_datadir}/applications/kde/kdiff3.desktop
%{_datadir}/applnk/.hidden/kdiff3plugin.desktop
%{_datadir}/apps/kdiff3
%{_datadir}/apps/kdiff3part
%{_datadir}/doc/HTML/*/kdiff3
%{_datadir}/icons/*/*/*/kdiff3.png
%{_mandir}/man1/kdiff3.1*
%{_datadir}/services/kdiff3_plugin.desktop
%{_datadir}/services/kdiff3part.desktop

%changelog
* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.92-6m)
- revise %%{_docdir}/HTML/*/kdiff3/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.92-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.92-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.92-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.92-2m)
- %%NoSource -> NoSource

* Sat Apr 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.92-1m)
- version 0.9.92

* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.91-2m)
- add some options to configure
- remove %%{_datadir}/doc/HTML/kdiff3
- move kdiff3.desktop to %%{_datadir}/applications/kde/
- add Categories to kdiff3.desktop

* Mon Mar 19 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.91-1m)
- import to Momonga

* Mon Nov 13 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.91-0.0.1m)
- version 0.9.91

* Tue Oct 17 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.90-0.0.1m)
- version 0.9.90

* Mon Apr 10 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.89-0.0.1m)
- version 0.9.89

* Thu May 19 2005 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.88-0.0.1m)
- version 0.9.88

* Wed Jun 16 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.86-0.0.1m)
- version 0.9.86

* Thu Mar 11 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.83-0.0.1m)
- version 0.9.83

* Tue Feb  3 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.82-0.0.1m)
- version 0.9.82

* Thu Jan 29 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.80-0.0.2m)
- add %{_libdir} to %files

* Wed Jan  7 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.80-0.0.1m)
- version 0.9.80

* Wed Aug  6 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.61-0.0.1m)
- version 0.9.61

* Thu Jun  5 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.60-0.0.1m)
- build for Momonga Linux

